<?php require_once "header.php" ?>

    <div class="mt-4 mb-4">
        <h1 class="display-4"><?= $user->getFirstName() . " " . $user->getSurname() ?></h1>
    </div>

<?php
if (!$has_error) {
    if (isset($_POST["kick"])) { ?>
        <div class="alert alert-success">
            La personne a bien été exclue de l'équipe !
        </div>
    <?php } elseif (isset($attribute_team)) { ?>
        <div class="alert alert-success">
            La personne a bien rejoint l'équipe !
        </div>
    <?php }
}
?>

<div class="alert alert-info">
    <strong>Rôle :</strong> <?= Role::getTranslatedName($user->getRole()) ?>
</div>

<?php if ($user->getRole() == Role::PARTICIPANT || $user->getRole() == Role::ENCADRANT) { ?>
    <div class="alert alert-info">
        <strong>Équipe
            :</strong> <?= $team === null ? "Pas d'équipe" : "<a href=\"/equipe/" . $team->getTrigram() . "\">"
			. $team->getName() . " (" . $team->getTrigram() . ")</a>" ?>
        <?php if ($team == null) { ?>
            <form method="POST">
                <div class="form-group row">
                    <div class="form-group col-md-12">
                        <label for="team">Attribuer une équipe :</label>
                        <select class="custom-select" id="team" name="team">
                            <option value="no_team">Choisir une équipe ...</option>
							<?php
							/** @var Team $t */
							foreach (Team::getAllTeams(-1) as $t) {
							    if ($t->getValidationStatus() != ValidationStatus::NOT_READY)
							        continue;

								$team_name = $t->getName() . " (" . $t->getTrigram() . "), "
                                        . ($t->getProblem() == 0 ? "pas de problème choisi" :"problème " . $t->getProblem());
								$team_id = $t->getId();
								echo "<option value=\"$team_id\">$team_name</option>\n";
							}
							?>
                        </select>
                    </div>
                </div>
                <div class="form-group row">
					<?php if (Phase::getCurrentPhase() < Phase::PHASE2) { ?>
                        <input type="submit" class="btn btn-secondary btn-lg btn-block" name="attribute_team"
                               value="Affecter dans une équipe"/>
					<?php } ?>
                </div>
            </form>
        <?php } elseif ($team->getValidationStatus() == ValidationStatus::NOT_READY) { ?>
            <form method="POST">
                <input type="hidden" name="kick" />
                <a href="#" onclick="this.parentNode.submit()">Virer de l'équipe</a>
            </form>
        <?php } ?>
    </div>
<?php } ?>

<?php if ($user->getRole() == Role::PARTICIPANT) { ?>
    <div class="alert alert-info">
        <strong>Lycée :</strong> <?= $user->getSchool() ?><br/>
        <strong>Ville :</strong> <?= $user->getCity() ?><br/>
        <strong>Pays :</strong> <?= $user->getCountry() ?><br/>
        <strong>Classe :</strong> <?= SchoolClass::getTranslatedName($user->getClass()) ?>
    </div>
<?php } elseif ($user->getDescription() != "") { ?>
    <div class="alert alert-info">
        <strong>Activité professionnelle :</strong> <?= $user->getDescription() ?>
    </div>
<?php } ?>

    <div class="alert alert-info">
        <strong>Adresse e-mail :</strong> <a href="mailto:<?= $user->getEmail() ?>"><?= $user->getEmail() ?></a>
        <?= $user->getConfirmEmailToken() == null ? "" : "(<em>non validée</em>)" ?>
    </div>

    <div class="alert alert-info">
        <strong><?= $user->getRole() == Role::ADMIN ? "Reçoit des notifications par mail :"
                : "Autorise Animath à envoyer des mails :" ?></strong> <?= $user->doReceiveAnimathMails() ? "oui" : "non" ?>
    </div>

<?php if ($team != null && $user->getRole() == Role::PARTICIPANT) { ?>
    <hr/>

    <div class="mt-4 mb-4">
        <h1 class="display-5">Autorisation de droit à l'image :</h1>
    </div>
	<?php
	printDocuments($documents);
}

if ($_SESSION["role"] == Role::ADMIN && $_SESSION["user_id"] != $user->getId()) { ?>
    <hr />

    <form method="POST">
        <input type="submit" name="view_as" class="btn btn-secondary btn-lg btn-block" style="background-color: #ff2e34"
               value="Afficher le site en tant que <?= $user->getFirstName() . " " . $user->getSurname() ?>" />
    </form>
<?php }

require_once "footer.php";